Redfin
Redfin: Search
Search from Redfin. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
redfin
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/redfin/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/redfin/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/redfin/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/redfin/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/redfin/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/redfin/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/redfin/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/redfin/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "redfin.search",
"params": {
"region_id": "16163",
"region_type": "6",
"market": "seattle",
"sold_within_days": "30"
},
"response": {
"data": {
"properties": [
{
"property_id": 7716,
"listing_id": 224554789,
"address": "7700 E Green Lake Dr N Unit D4",
"city": "Seattle",
"state": "WA",
"zip": "98103",
"price": 885000,
"beds": 2,
"baths": 2,
"sqft": 1326,
"year_built": 1990,
"property_type": 2,
"status": "Coming Soon",
"latitude": 47.6847462,
"longitude": -122.3347566,
"url": "/WA/Seattle/7700-E-Green-Lake-Dr-N-98103/unit-D4/home/7716",
"mls_number": "2220659583881585025"
},
{
"property_id": 124182,
"listing_id": 224635828,
"address": "2517 25th Ave W",
"city": "Seattle",
"state": "WA",
"zip": "98199",
"price": 2750000,
"beds": 3,
"baths": 4,
"sqft": 3570,
"lot_size": 5120,
"year_built": 2005,
"property_type": 1,
"status": "Coming Soon",
"latitude": 47.6416879,
"longitude": -122.3893426,
"url": "/WA/Seattle/2517-25th-Ave-W-98199/home/124182",
"mls_number": "2222589287335410617"
},
{
"property_id": 130914,
"listing_id": 224429781,
"address": "2918 9th Ave W",
"city": "Seattle",
"state": "WA",
"zip": "98119",
"price": 1325000,
"beds": 4,
"baths": 2.25,
"sqft": 2620,
"lot_size": 4000,
"year_built": 1914,
"property_type": 1,
"status": "Coming Soon",
"latitude": 47.6465046,
"longitude": -122.3690831,
"url": "/WA/Seattle/2918-9th-Ave-W-98119/home/130914",
"mls_number": "121736"
}
],
"count": 350,
"region_id": 16163,
"region_type": 6
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Redfin API overview for every Redfin endpoint.
Authorizations
Query Parameters
Available options:
1, 2, 4, 5, 6 Maximum string length:
30Available options:
1, 9, 130, 131 Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/redfin/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/redfin/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/redfin/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/redfin/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/redfin/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/redfin/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/redfin/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/redfin/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "redfin.search",
"params": {
"region_id": "16163",
"region_type": "6",
"market": "seattle",
"sold_within_days": "30"
},
"response": {
"data": {
"properties": [
{
"property_id": 7716,
"listing_id": 224554789,
"address": "7700 E Green Lake Dr N Unit D4",
"city": "Seattle",
"state": "WA",
"zip": "98103",
"price": 885000,
"beds": 2,
"baths": 2,
"sqft": 1326,
"year_built": 1990,
"property_type": 2,
"status": "Coming Soon",
"latitude": 47.6847462,
"longitude": -122.3347566,
"url": "/WA/Seattle/7700-E-Green-Lake-Dr-N-98103/unit-D4/home/7716",
"mls_number": "2220659583881585025"
},
{
"property_id": 124182,
"listing_id": 224635828,
"address": "2517 25th Ave W",
"city": "Seattle",
"state": "WA",
"zip": "98199",
"price": 2750000,
"beds": 3,
"baths": 4,
"sqft": 3570,
"lot_size": 5120,
"year_built": 2005,
"property_type": 1,
"status": "Coming Soon",
"latitude": 47.6416879,
"longitude": -122.3893426,
"url": "/WA/Seattle/2517-25th-Ave-W-98199/home/124182",
"mls_number": "2222589287335410617"
},
{
"property_id": 130914,
"listing_id": 224429781,
"address": "2918 9th Ave W",
"city": "Seattle",
"state": "WA",
"zip": "98119",
"price": 1325000,
"beds": 4,
"baths": 2.25,
"sqft": 2620,
"lot_size": 4000,
"year_built": 1914,
"property_type": 1,
"status": "Coming Soon",
"latitude": 47.6465046,
"longitude": -122.3690831,
"url": "/WA/Seattle/2918-9th-Ave-W-98119/home/130914",
"mls_number": "121736"
}
],
"count": 350,
"region_id": 16163,
"region_type": 6
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}